from map import Map
from PIL import Image, ImageDraw

slides = []

if __name__ == "__main__":
  max_scale = 64
  lacunarity = 1.5
  for scale in range(32,max_scale):
    print("Scale: "+str(scale))
    map = Map(scale=scale, base=1, width=640, height=480, lacunarity=lacunarity)
    map.generateMap()
#    map.findCoast()
#    map.generateCities()
#    map.addCities()
    #map.printWorld()
    slides.append(map.saveWorld())

  slides[0].save("zoom_base1_zoom"+str(max_scale)+"_lacunarity"+str(lacunarity)+".gif", save_all=True, append_images=slides[1:], optimize=True, duration=150, loop=0)
