# This loads/saves and manages the gamestate and can be used to query what is on the tiles

import pickle

class State():

  def __init__(self):
    #print("Loading state-engine")
    self.gamestate = {}

  def load(self):
    self.gamestate = pickle.load( open( "savegame.empyre_save", "rb" ) )
    self.metadata = self.gamestate['metadata']
    self.terrain = self.gamestate['terrain']
    self.cities = self.gamestate['cities']
    self.coast = self.gamestate['coast']
    self.units = self.gamestate['units']
    self.fog = self.gamestate['fog']

  def save(self):
    pickle.dump(self.gamestate, open("savegame.empyre_save","wb"))
